org.jfree.xml.writer

## Class SafeTagList

- java.lang.Object
- - org.jfree.xml.writer.SafeTagList

-     public class SafeTagList
      extends java.lang.Object

  A container for information relating to the tags in the JFreeReport XML report files. Some tags cannot be spread across multiple lines, because it causes problems for the parser.
  Author:
    Thomas Morgner.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SafeTagList()` Creates a new list.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String tag)` Adds a tag with both the 'open' and 'close' flags set to `true`.
    `void` | `add(java.lang.String tag, boolean open, boolean closed)` Adds a tag.
    `boolean` | `isSafeForClose(java.lang.String tag)` Returns `true` if it is safe to start a new line immediately after a close tag.
    `boolean` | `isSafeForOpen(java.lang.String tag)` Returns `true` if it is safe to start a new line immediately after an open tag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SafeTagList

          public SafeTagList()

      Creates a new list.

  - ### Method Detail

    - #### add

          public void add(java.lang.String tag)

      Adds a tag with both the 'open' and 'close' flags set to `true`.
      Parameters:
        `tag` - the tag name.

    - #### add

          public void add(java.lang.String tag,
                 boolean open,
                 boolean closed)

      Adds a tag.
      Parameters:
        `tag` - the tag name.
        `open` - the 'open' flag.
        `closed` - the 'close' flag.

    - #### isSafeForOpen

          public boolean isSafeForOpen(java.lang.String tag)

      Returns `true` if it is safe to start a new line immediately after an open tag.
      Parameters:
        `tag` - the tag name.
      Returns:
        A boolean.

    - #### isSafeForClose

          public boolean isSafeForClose(java.lang.String tag)

      Returns `true` if it is safe to start a new line immediately after a close tag.
      Parameters:
        `tag` - the tag name.
      Returns:
        A boolean.